> ## Documentation Index
> Fetch the complete documentation index at: https://flutterwaveinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a transfer recipient

> Retrieve a transfer recipient



## OpenAPI

````yaml Flutterwave_v4_Open_API.json get /transfers/recipients/{id}
openapi: 3.1.0
info:
  version: '1.0'
  title: Flutterwave APIs
  description: APIs for Enterprise Customers
  contact:
    name: Flutterwave
    email: hi@flutterwavego.com
servers:
  - url: https://developersandbox-api.flutterwave.com
    description: Dev server
security:
  - bearerAuth: []
paths:
  /transfers/recipients/{id}:
    get:
      tags:
        - Transfer Recipients
      summary: Retrieve a transfer recipient
      description: Retrieve a transfer recipient
      operationId: transfers_recipients_get
      parameters:
        - $ref: '#/components/parameters/trace_id'
        - in: path
          required: true
          name: id
          schema:
            description: ID of the transfer recipient
            type: string
            nullable: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get_transfer_recipient_response'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400'
        '401':
          description: Unauthorised request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403'
components:
  parameters:
    trace_id:
      description: >-
        A unique identifier to track this operation. It must be between 12 and
        255 characters in length.
      in: header
      name: X-Trace-Id
      schema:
        type: string
        minLength: 12
        maxLength: 255
      example: acb123e4-f567-4a8b-9c0d-1e2f3a4b5c6d
  schemas:
    '400':
      description: Bad Request
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        error:
          type: object
          properties:
            type:
              type: string
              example: REQUEST_NOT_VALID
            code:
              type: string
              example: '10400'
            message:
              type: string
              nullable: true
              example: Request is not valid
            validation_errors:
              type: array
              items:
                type: object
                properties:
                  field_name:
                    type: string
                    example: amount
                  message:
                    type: string
                    example: must not be null
          description: >-
            The request cannot be accepted and is malformed and/or missing
            required parameters.
    '401':
      description: Unauthorized
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          nullable: true
          description: Invalid API key provided
          example: UNAUTHORIZED
        error:
          type: object
          properties:
            type:
              type: string
              example: UNAUTHORIZED
            code:
              type: string
              example: '10401'
            message:
              type: string
              example: unauthorized
    '403':
      description: Forbidden
      type: object
      properties:
        status:
          type: string
          nullable: false
          enum:
            - failed
        message:
          type: string
          description: API key doesn't have permission to access this resource
        error:
          type: object
          properties:
            type:
              type: string
              example: FORBIDDEN
            code:
              type: string
              example: '10403'
            message:
              type: string
              example: Forbidden
    get_transfer_recipient_response:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        message:
          type: string
        data:
          $ref: '#/components/schemas/recipient'
    status:
      type: string
      nullable: false
      enum:
        - success
        - failed
    recipient:
      oneOf:
        - $ref: '#/components/schemas/bank_recipient'
        - $ref: '#/components/schemas/mobile_money_recipient'
        - $ref: '#/components/schemas/wallet_recipient'
        - $ref: '#/components/schemas/cashpickup_recipient'
      discriminator:
        propertyName: type
        mapping:
          bank: '#/components/schemas/bank_recipient'
          mobile_money: '#/components/schemas/mobile_money_recipient'
          wallet: '#/components/schemas/wallet_recipient'
          cash_pickup: '#/components/schemas/cashpickup_recipient'
    bank_recipient:
      type: object
      required:
        - bank
      properties:
        id:
          description: ID of the transfer recipient
          type: string
        type:
          type: string
          default: bank
          readOnly: true
        name:
          $ref: '#/components/schemas/name'
        currency:
          allOf:
            - $ref: '#/components/schemas/currency'
        national_identification:
          allOf:
            - $ref: '#/components/schemas/national_identification'
          description: Sender government identification
        phone:
          $ref: '#/components/schemas/phone'
        date_of_birth:
          $ref: '#/components/schemas/date_of_birth'
        email:
          allOf:
            - $ref: '#/components/schemas/email'
          example: hi@flutterwave.com
        address:
          $ref: '#/components/schemas/address'
        bank:
          $ref: '#/components/schemas/bank'
    mobile_money_recipient:
      type: object
      required:
        - name
      properties:
        id:
          description: ID of the transfer recipient
          type: string
        type:
          type: string
          default: mobile_money
          readOnly: true
        name:
          $ref: '#/components/schemas/name'
        currency:
          allOf:
            - $ref: '#/components/schemas/currency'
        national_identification:
          allOf:
            - $ref: '#/components/schemas/national_identification'
          description: Sender government identification
        phone:
          $ref: '#/components/schemas/phone'
        date_of_birth:
          $ref: '#/components/schemas/date_of_birth'
        email:
          $ref: '#/components/schemas/email'
        address:
          $ref: '#/components/schemas/address'
        mobile_money:
          type: object
          required:
            - network
            - country
            - msisdn
          properties:
            network:
              description: recipient network
              type: string
            country:
              description: recipient country
              type: string
            msisdn:
              description: recipient phone number
              type: string
    wallet_recipient:
      type: object
      properties:
        id:
          description: ID of the transfer recipient
          type: string
        type:
          type: string
          default: wallet
          readOnly: true
        name:
          $ref: '#/components/schemas/name'
          readOnly: true
        currency:
          allOf:
            - $ref: '#/components/schemas/currency'
        wallet:
          $ref: '#/components/schemas/wallet'
    cashpickup_recipient:
      type: object
      properties:
        id:
          description: ID of the transfer recipient
          type: string
        type:
          type: string
          default: cash_pickup
          readOnly: true
        name:
          $ref: '#/components/schemas/name'
        currency:
          allOf:
            - $ref: '#/components/schemas/currency'
        national_identification:
          allOf:
            - $ref: '#/components/schemas/national_identification'
          description: Sender government identification
        phone:
          $ref: '#/components/schemas/phone'
        date_of_birth:
          $ref: '#/components/schemas/date_of_birth'
        email:
          allOf:
            - $ref: '#/components/schemas/email'
          example: hi@flutterwave.com
        address:
          $ref: '#/components/schemas/address'
        cash_pickup:
          type: object
          required:
            - network
          properties:
            network:
              description: cashpickup network
              type: string
    name:
      type: object
      description: The Customer's full name.
      properties:
        first:
          type: string
          description: The Customer's first name.
          example: King
          pattern: ^(?![ ,.'-]*$)[A-Za-z ,.'-]{2,50}$
          x-pattern-message: >-
            must be between 2 and 50 characters long, cannot be empty, only
            spaces, or only symbols, and can only contain letters, spaces,
            commas, periods, apostrophes, or hyphens.
        middle:
          type: string
          description: The Customer's middle name.
          example: Leo
          pattern: ^(?![ ,.'-]*$)[A-Za-z ,.'-]{2,50}$
          x-pattern-message: >-
            must be between 2 and 50 characters long, cannot be empty, only
            spaces, or only symbols, and can only contain letters, spaces,
            commas, periods, apostrophes, or hyphens.
        last:
          type: string
          description: The Customer's last name.
          example: LeBron
          pattern: ^(?![ ,.'-]*$)[A-Za-z ,.'-]{2,50}$
          x-pattern-message: >-
            must be between 2 and 50 characters long, cannot be empty, only
            spaces, or only symbols, and can only contain letters, spaces,
            commas, periods, apostrophes, or hyphens.
    currency:
      description: ISO 4217 currency code.
      type: string
      example: NGN
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - AQD
        - ARS
        - AUD
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BWP
        - BYR
        - BZD
        - CAD
        - CDF
        - CHF
        - CLP
        - CNY
        - COP
        - CRC
        - CUP
        - CVE
        - CYP
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - ECS
        - EEK
        - EGP
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GGP
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - INR
        - IQD
        - IRR
        - ISK
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LTL
        - LVL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRO
        - MTL
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SKK
        - SLL
        - SOS
        - SRD
        - STD
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VEF
        - VND
        - VUV
        - XAF
        - XCD
        - XOF
        - XPF
        - YER
        - ZAR
        - ZMK
        - ZWD
        - ZMW
    national_identification:
      type: object
      properties:
        type:
          type: string
          enum:
            - PASSPORT
            - DRIVERS_LICENSE
            - NATIONAL_ID
        identifier:
          type: string
          example: FLY5869798686
          minLength: 4
          maxLength: 40
        expiration_date:
          type: string
          example: '2029-07-08'
          pattern: ^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])$
          x-pattern-message: must match YYYY-MM-DD format
    phone:
      type: object
      description: The customer's mobile number.
      required:
        - number
        - country_code
      example:
        country_code: '234'
        number: '08012345678'
      properties:
        country_code:
          description: ISO 3166 alpha-3 country code.
          type: string
          pattern: ^[0-9]{1,3}$
          example: '234'
          x-pattern-message: must be a valid ISO 3166 alpha-3 country code
        number:
          description: Unformatted 7-10-digit phone number without the country code.
          type: string
          pattern: ^[0-9]{7,10}$
          example: '8001122334'
          x-pattern-message: must be a digit containing between 7 and 10 characters
    date_of_birth:
      type: string
      description: The customer's birthdate in ISO 8601 (YYYY-MM-DD) format.
      pattern: ^(0[1-9]|[12]\d|3[01])-(0[1-9]|1[0-2])-(19|20)\d{2}$
      x-pattern-message: must match YYYY-MM-DD format
    email:
      type: string
      description: The Customer's email address.
      pattern: >-
        ^[a-zA-Z0-9_+&*-]+(?:\.[a-zA-Z0-9_+&*-]+)*@(?:[a-zA-Z0-9-]+\.)+[a-zA-Z]{2,}$
      example: cornelius@gmail.com
      x-pattern-message: must be an email format
    address:
      type: object
      description: Customer address information.
      required:
        - line1
        - city
        - state
        - country
        - postal_code
      properties:
        city:
          type: string
          description: The name of the city.
          example: New York
          pattern: ^.+$
          x-pattern-message: value must not be empty
        country:
          description: ISO2 country code
          type: string
          pattern: ^[A-Z]{2}$
          example: US
          x-pattern-message: must be a valid country ISO2 format
        line1:
          type: string
          description: The first line of the Customer's address.
          example: 123 Main Street
          pattern: ^.+$
          x-pattern-message: value must not be empty
        line2:
          type: string
          description: The second line of the Customer's address.
          example: Apt 4B
          pattern: ^.+$
          x-pattern-message: value must not be empty
        postal_code:
          type: string
          example: '10001'
          pattern: ^.+$
          x-pattern-message: value must not be empty
        state:
          type: string
          description: The state or region.
          example: New York
          pattern: ^.+$
          x-pattern-message: value must not be empty
    bank:
      type: object
      required:
        - account_number
        - code
      properties:
        account_number:
          description: The Recipient's account number.
          type: string
          pattern: ^[a-zA-Z0-9]*$
        account_type:
          description: The Recipient's account type.
          type: string
          enum:
            - checking
            - savings
            - individual
            - corporate
        code:
          description: The Recipient's bank code.
          type: string
          pattern: ^[a-zA-Z0-9]*$
        branch:
          description: The Recipient's bank branch.
          type: string
        name:
          description: The Recipient's bank name.
          type: string
        routing_number:
          description: The Recipient bank routing number.
          type: string
          pattern: ^[a-zA-Z0-9]*$
        swift_code:
          description: The Recipient bank swift code.
          type: string
          pattern: ^[a-zA-Z0-9]*$
        sort_code:
          description: The Recipient bank sort code.
          type: string
          pattern: ^[a-zA-Z0-9]*$
    wallet:
      type: object
      required:
        - provider
        - identifier
      properties:
        provider:
          type: string
          enum:
            - flutterwave
          description: >-
            Specifies the payment or service provider. Currently, only
            "flutterwave" is supported
        identifier:
          description: >-
            A unique identifier assigned to the merchant by the payment or
            service provider.
          type: string
          example: '00118468'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````